it-swarm.com.de

Fehler beim Auflösen: com.Android.support:appcompat-v7:27.+ (Abhängigkeitsfehler)

Ich habe dieses Problem in Android Studio.

Error:Failed to resolve: com.Android.support:appcompat-v7:27.+
<a href="install.m2.repo">Install Repository and sync project</a><br><a href="open.dependency.in.project.structure">Show in Project Structure 
dialog</a>

Mein Android Studio ist voll mit Fehlern Android Studio kann keine Bibliotheken identifizieren. Der ganze Bildschirm sieht so aus.

image

Dies ist mein Gradle Code:

apply plugin: 'com.Android.application'

Android {
    compileSdkVersion 27
    buildToolsVersion "27.0.1"

    defaultConfig {
        applicationId "com.example.hp.temp"
        minSdkVersion 21
        targetSdkVersion 27
        versionCode 1
        versionName "1.0"
    }
    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-Android.txt'), 'proguard-rules.pro'
        }
    }
}

dependencies {
    compile fileTree(dir: 'libs', include: ['*.jar'])
    testCompile 'junit:junit:4.12'
    compile 'com.Android.support:appcompat-v7:27.+'
}
59
Heli Shah

Suchen Sie die Stammdatei build.gradle und fügen Sie google maven repo im Tag allprojects hinzu

repositories {
        mavenLocal()
        mavenCentral()
        maven {                                  // <-- Add this
            url 'https://maven.google.com/' 
            name 'Google'
        }
    } 

Es ist besser, eine bestimmte Version anstelle einer variablen Version zu verwenden

compile 'com.Android.support:appcompat-v7:27.0.0'

Wenn Sie das Android Plugin für Gradle 3.0.0 oder eine neuere Version verwenden

repositories {
      mavenLocal()
      mavenCentral()
      google()        //---> Add this
} 

und injizieren Abhängigkeit auf diese Weise:

implementation 'com.Android.support:appcompat-v7:27.0.0'
115
Aryan

Wenn Sie Android Studio 3.0 oder höher verwenden, stellen Sie sicher, dass Ihr Projekt build.gradle sollte einen ähnlichen Inhalt haben wie

buildscript {                 
    repositories {
        google()
        jcenter()
    }
    dependencies {            
        classpath 'com.Android.tools.build:gradle:3.0.1'

    }
}

allprojects {
    repositories {
        google()
        jcenter()
    }
}

Hinweis - Position ist wirklich wichtig. Fügen Sie google () vor jcenter ()

Und für unten Android Studio 3.0 und ab Support-Bibliotheken 26. + Ihr Projekt build.gradle muss so aussehen-

allprojects {
    repositories {
        jcenter()
        maven {
            url "https://maven.google.com"
        }
    }
}

überprüfen Sie diese Verbindungen unten für mehr Details

1 - Erstellen von Android Apps

2 - Build-Abhängigkeiten hinzufügen

3 - Konfigurieren Sie Ihren Build

55
D_Alpha